Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface LenientConfiguration

    public interface LenientConfiguration

Resolved configuration that does not fail eagerly when some dependencies are not resolved, or some artifacts do not exist.

Method Summary
`Set` | `getArtifacts(Spec dependencySpec)` Gets successfully resolved artifacts for dependencies that match given dependency spec.
`Set` | `getFiles(Spec dependencySpec)` Returns successfully resolved files for successfully resolved dependencies.
`Set` | `getFirstLevelModuleDependencies(Spec dependencySpec)` Returns successfully resolved dependencies.
`Set` | `getUnresolvedModuleDependencies()` returns dependencies that were attempted to resolve but failed.

Method Detail

### getArtifacts

    public Set getArtifacts(Spec dependencySpec)

  Gets successfully resolved artifacts for dependencies that match given dependency spec. TODO SF We need to pair and model the successfully and unsuccessfully resolved artifacts much better.
  Parameters:
    `dependencySpec` - dependency spec
  Returns:
    successfully resolved artifacts for dependencies that match given dependency spec

### getFiles

    public Set getFiles(Spec dependencySpec)

  Returns successfully resolved files for successfully resolved dependencies.
  Parameters:
    `dependencySpec` - dependency spec
  Returns:
    resolved dependencies files

### getFirstLevelModuleDependencies

    public Set getFirstLevelModuleDependencies(Spec dependencySpec)

  Returns successfully resolved dependencies.
  Parameters:
    `dependencySpec` - dependency spec
  Returns:
    only resolved dependencies

### getUnresolvedModuleDependencies

    public Set getUnresolvedModuleDependencies()

  returns dependencies that were attempted to resolve but failed. If empty then all dependencies are neatly resolved.
  Returns:
    only unresolved dependencies

Gradle API 1.1-rc-1